[arch-commits] Commit in libogg/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 04:00:48 EDT 2009


    Date: Friday, April 10, 2009 @ 04:00:48
  Author: eric
Revision: 34572

Fixed svn conflict

Modified:
  libogg/repos/extra-x86_64/	(properties)
  libogg/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)


Property changes on: libogg/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libogg/trunk:1
   + /libogg/trunk:1-34571

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-10 07:56:50 UTC (rev 34571)
+++ extra-x86_64/PKGBUILD	2009-04-10 08:00:48 UTC (rev 34572)
@@ -4,19 +4,24 @@
 
 pkgname=libogg
 pkgver=1.1.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Ogg bitstream and framing library"
-arch=(i686 x86_64)
-pkgurl="http://www.xiph.org/ogg/vorbis/download"
+arch=('i686' 'x86_64')
+url="http://www.xiph.org/ogg/"
+license=('BSD')
 depends=('glibc')
+options=('!libtool')
 source=(http://downloads.xiph.org/releases/ogg/$pkgname-$pkgver.tar.gz)
 md5sums=('eaf7dc6ebbff30975de7527a80831585')
 
 build() {
-  cd $startdir/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd $srcdir/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir install || return 1
+
+# install BSD license
+  install -Dm644 $srcdir/$pkgname-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING
 }
 



More information about the arch-commits mailing list